
It was a Friday night in 1974 around 7:30. My friends and I took a ride. We were in front of my house. It was a clear night and just starting to get dark when we left. I was driving and there were three of my friends in the car. We ended up going down RT 1, which goes down to Florida and up to Maine. I was going to turn around down by the Maryland and Pennsylvania line. By the time we got down there, it was dark and there weren't any other cars on the road. I was going uphill towards where I was going to turn around when I hit something. Later, I found out that it was another car.

I remember seeing myself in the car. Then I went through a tunnel. I saw my father and other relatives. I felt so happy and at peace that I did not want to leave. There was a body standing there in a robe looking like Jesus. I can't say for sure that it was he or not. The light was pure white, bright, crisp and perfectly round with him standing in the center. He said to me, 'Go back, it is not your time yet.'

After that, I woke up in my car and just sat there wondering what just happened. I couldn't believe what happened and then I climbed out of my car wanting to know what happened and what I hit. There were a few people that came up to us and that's when I found out I had hit another car.
